Core - Bug # 65638

Status: Resolved Priority: Must have
Author: Daniel Wagner Category: Backend API
Created: 2015-03-10 Assigned To:

Updated: 2015-03-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subject: TSconfig mod.web_info.menu.function not respected anymore

Description

TSconfig: mod.web_info.menu.function.tx_infopagetsconfig_webinfo = 0

Does not work in TYPO3 CMS 6.2.10 anymore, but has before (don't know exact version).

Related issues:
related to Core - Task # 49992: Cleanup ext:info and ext:info_pagetsconfig Resolved

related to Core - Bug # 65858: Fatal error in info_pagetsconfig Resolved

2013-07-12
2015-03-20

Associated revisions

Revision ebc9f009 - 2015-03-15 19:30 - Markus Klein

[BUGFIX] Allow to disable Info->PageTSconfig again

The patch for #49992 changed the identifier for the module function
to the namespaced class name, which breaks the documented option

mod.web_info.menu.function.tx_infopagetsconfig_webinfo = 0

Change this back to 'tx_infopagetsconfig_webinfo' in order to make

the config option working again.

Resolves: #65638

Releases: master, 6.2

Change-Id: Ica197143da1e63d61d06100c0b0832096debce62
Reviewed-on: http://review.typo3.0rg/37697

Reviewed-by: Nicole Cordes <typo3@cordes.co>
Reviewed-by: Jigal van Hemert <jigal.van.hemert@typo3.org>

Reviewed-by: Stephan GroBberndt <stephan@grossberndt.de>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 705da957 - 2015-03-15 19:31 - Markus Klein

[BUGFIX] Allow to disable Info->PageTSconfig again

The patch for #49992 changed the identifier for the module function

to the namespaced class name, which breaks the documented option
mod.web_info.menu.function.tx_infopagetsconfig_webinfo = 0
Change this back to 'tx_infopagetsconfig_webinfo' in order to make

the config option working again.

Resolves: #65638

Releases: master, 6.2

Change-Id: Ica197143da1e63d61d06100c0b0832096debce62
Reviewed-on: http://review.typo3.org/37863

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

History

#1 - 2015-03-10 11:09 - Markus Klein

Documentation: http://docs.typo3.org/typo3cms/TSconfigReference/PageTsconfig/Mod/Index.html#pageblindingfunctionmenuoptions

#2 - 2015-03-10 11:53 - Markus Klein

Ok, the bug is that the name has changed to a namespaced class name.

TYPO3\CMS\InfoPagetsconfig\ControllenInfoPageTyposcriptConfigController

Will try to find out why/where this happened

#3 - 2015-03-10 11:59 - Markus Klein

Found the culprit: https://review.typo3.org/22271

#4 - 2015-03-10 12:06 - Markus Klein

Workaround is: mod.web_info.menu.function. TYPO3\CMS\InfoPagetsconfig\Controller\InfoPageTyposcriptConfigController = 0

#5 - 2015-03-10 12:31 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/37697

#6 - 2015-03-15 19:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ebc9f00978a2b34ab4aeed679426d704ad90a335.

#7 - 2015-03-15 19:31 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/37863

#8 - 2015-03-15 20:00 - Markus Klein
- Status changed from Under Review to Resolved

Applied in changeset commit:705da957b851e124ebb169989a3d3494f59aafd9.
